@import "shared.css";

.l-description {
    background-color: var(--corporate-identity);
    color: #fff;
    height: 100%;
    padding: 43px 48px 0 48px;
    max-height: 100%; 
    overflow: auto;
}

.text-content {
    padding-top: 40px;
}

.preview-img-wrapper {
    margin: 50px 20px 0 20px;
}

#onelogin-register {
    text-decoration: underline;
    color: var(--corporate-identity);
}

.onelogin-with-stroke {
    text-align: center;
}

.onelogin-with-stroke:before {
    content: '';
    display: block;
    border-top: 1px solid #dcdcdd;
    height: 1px;
    overflow: hidden;
    position: relative;
    top: 13px;
}

.onelogin-with-stroke span {
    position: relative;
    padding: 0 8px;
    color: rgba(0, 0, 0, 0.54);
    font-size: 12px;
    line-height: 1.15;
    background: #fff;
    text-transform: uppercase;
    font-weight: bold;
}

.main-content-container{
    display: flex;
    flex-direction: row;
    min-height: 100vh;
}

.l-login-container {
    padding: 32px 32px 0 32px;
    display: flex;
    flex-direction: column;
    height: 100%;
}


.l-login{
    display:flex;
    flex-direction:column;
}

.footer {
    margin-top: auto;
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
    justify-content: space-between;
    align-content: center;
    margin-bottom: 32px;
}

.l-login-container legend {
    font-style: normal;
    font-weight: normal;
    font-size: 24px;
    line-height: 29px;
    margin-bottom: 24px;
}

.mui-textfield, .mui-textfield label {
    background-color: var(--ui-secondary);
    overflow: hidden;
    font-size: 16px;
    line-height: 1.15;
}

.mui-textfield {
    border-radius: 2px;
    box-sizing: border-box;
    height: 52px;
}

.mui-textfield--float-label input {
    height: 100%;
    border-color: var(--text-secondary);
}

.mui-textfield--float-label > input:not(:focus).mui--is-not-empty ~ label,
.mui-textfield--float-label > input:not(:focus)[value]:not([value=""]):not(.mui--is-empty):not(.mui--is-not-empty) ~ label,
.mui-textfield--float-label > input:not(:focus):not(:empty):not(.mui--is-empty):not(.mui--is-not-empty) ~ label,
.mui-textfield--float-label > textarea:not(:focus).mui--is-not-empty ~ label,
.mui-textfield--float-label > textarea:not(:focus)[value]:not([value=""]):not(.mui--is-empty):not(.mui--is-not-empty) ~ label,
.mui-textfield--float-label > textarea:not(:focus):not(:empty):not(.mui--is-empty):not(.mui--is-not-empty) ~ label,
.mui-textfield--float-label > input:focus ~ label,
.mui-textfield--float-label > textarea:focus ~ label {
    font-size: 14px !important;
    color: var(--text-secondary);
    height: 14px !important;
    padding-top: 7px;
}

.mui-textfield--float-label > input:focus,
.mui-textfield--float-label > input:not(:focus).mui--is-not-empty,
.mui-textfield--float-label > input:not(:focus)[value]:not([value=""]):not(.mui--is-empty):not(.mui--is-not-empty),
.mui-textfield--float-label > input:not(:focus):not(:empty):not(.mui--is-empty):not(.mui--is-not-empty),
.mui-textfield--float-label > textarea:not(:focus).mui--is-not-empty,
.mui-textfield--float-label > textarea:not(:focus)[value]:not([value=""]):not(.mui--is-empty):not(.mui--is-not-empty),
.mui-textfield--float-label > textarea:not(:focus):not(:empty):not(.mui--is-empty):not(.mui--is-not-empty),
.mui-textfield > input:invalid:not(:focus):not(:required), .mui-textfield > input:invalid:not(:focus):required.mui--is-not-empty, .mui-textfield > input:invalid:not(:focus):required.mui--is-empty.mui--is-touched, .mui-textfield > input:invalid:not(:focus):required[value]:not([value=""]):not(.mui--is-empty):not(.mui--is-not-empty), .mui-textfield > input:invalid:not(:focus):required:not(:empty):not(.mui--is-empty):not(.mui--is-not-empty),
.mui-textfield > input:not(:focus).mui--is-invalid:not(:required),
.mui-textfield > input:not(:focus).mui--is-invalid:required.mui--is-not-empty,
.mui-textfield > input:not(:focus).mui--is-invalid:required.mui--is-empty.mui--is-touched,
.mui-textfield > input:not(:focus).mui--is-invalid:required[value]:not([value=""]):not(.mui--is-empty):not(.mui--is-not-empty),
.mui-textfield > input:not(:focus).mui--is-invalid:required:not(:empty):not(.mui--is-empty):not(.mui--is-not-empty) {
    padding-bottom: 18px !important;
    padding-top: 14px;
    height: 100%;
}

.mui-textfield > input:focus,
.mui-textfield > textarea:focus {
    border-color: var(--corporate-identity);
    border-width: 2px;
}

.mui-textfield > input {
    padding-left: 8px !important;
    padding-bottom: 16px !important;
}

.mui-textfield label {
    padding-left: 8px;
    color: var(--text-secondary) !important;
    font-size: 18px;
}

.l-company-logo {
    text-align: right;
}

.l-company-logo-sub {
    text-align: right;
    /* Enterprise Portal */
    font-family: Open Sans Condensed, Lato, sans-serif;
    font-style: normal;
    font-weight: bold;
    font-size: 10.7243px;
    line-height: 13px;
    color: #1C2630;
}

.l-imprint {
    font-size: 14px;
    line-height: 17px;
    text-emphasis: right;

    text-align: right;
    position: absolute;
    right: 32px;
    bottom: 32px;
}

.l-imprint a {
    text-decoration-line: underline;
    color: var(--text-secondary);
    margin: 0 10px;
}

#l-forgot-pwd {
    color: var(--link-color);
    padding: 0;
}

.l-description img {
    padding: 0;
    margin: 0;
}

.l-description h1, .l-description h2, .l-description p {
    max-width: 700px;
}

.l-description h1 {
    font-weight: 800;
    font-size: 32px;
}

.l-description h2 {
    font-weight: normal;
    font-size: 32px;
    line-height: 38px;
    max-width: 700px;
}

.l-description p {
    font-weight: normal;
    font-size: 16px;
    line-height: 19px;
    max-width: 700px;
    margin: 20px 0 0;
}

.l-description p a {
    font-weight: bold;
    color: var(--white);
    text-decoration: underline;
}


#l-stayloggedin {
    margin-left: 10px;
    font-size: 16px;
}

#l-stayloggedin input {
    margin-top: 5px;
}

.l-error {
    color: var(--error);
}

#laptop {
    position: relative;
}

#laptop_content {
    position: absolute;
    top: 60px;
    left: 127px;
}


.mfa-code-headline-container legend {
    margin-bottom: 0;
}

@media (max-width: 767px) {
    .l-description {
        display: none;
    }

    .l-description img {
        margin-top: 12px !important;
        padding-left: 8px !important;
    }

    .l-company-logo, .l-company-logo-sub {
        display: none;
    }

    .l-login-container {
        padding: 20px 20px 0 20px !important;
    }
    .main-content-container {
        flex-direction: column;
    }
    .footer{
        margin-bottom: 20px;
    }
}
